---
title: Window.releaseEvents()
slug: Web/API/Window/releaseEvents
tags:
  - API
  - DOM
  - DOM_0
  - Method
  - Non-standard
  - Reference
  - Window
  - releaseEvents
---
<div>{{ ApiRef() }} {{deprecated_header(1.9)}}</div>

<div>
<p>{{Non-standard_header}}</p>
</div>


<h2 id="Summary">Summary</h2>

<p>Releases the window from trapping events of a specific type.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">window.releaseEvents(<em>eventType</em>)
</pre>

<p><code>eventType</code> is a combination of the following values: <code>Event.ABORT</code>, <code>Event.BLUR</code>, <code>Event.CLICK</code>, <code>Event.CHANGE</code>, <code>Event.DBLCLICK</code>, <code>Event.DRAGDDROP</code>, <code>Event.ERROR</code>, <code>Event.FOCUS</code>, <code>Event.KEYDOWN</code>, <code>Event.KEYPRESS</code>, <code>Event.KEYUP</code>, <code>Event.LOAD</code>, <code>Event.MOUSEDOWN</code>, <code>Event.MOUSEMOVE</code>, <code>Event.MOUSEOUT</code>, <code>Event.MOUSEOVER</code>, <code>Event.MOUSEUP</code>, <code>Event.MOVE</code>, <code>Event.RESET</code>, <code>Event.RESIZE</code>, <code>Event.SELECT</code>, <code>Event.SUBMIT</code>, <code>Event.UNLOAD</code>.</p>

<h2 id="Example">Example</h2>

<pre class="brush:js">window.releaseEvents(Event.KEYPRESS)
</pre>

<h2 id="Notes">Notes</h2>

<p>Note that you can pass a list of events to this method using the following syntax: <code>window.releaseEvents(Event.KEYPRESS | Event.KEYDOWN | Event.KEYUP)</code>.</p>

<p>See also <a href="/en-US/docs/Web/API/window.captureEvents"><code>window.captureEvents</code></a> ({{deprecated_inline}}).</p>

<h2 id="Specifications">Specifications</h2>

<p>This is not part of any specification.</p>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.Window.releaseEvents")}}</p>
